OnACTIVATE=function(bActive){
	static_shadow_active.ShowCtrl(bActive);
}
OnMouseOptChange=function(bOpt){
	if(bOpt){
		ShowChildCtrlGroup("mousein",true);
		ShowChildCtrlGroup("normal",false);
		WND_MINILIST.ShowChildCtrlGroup("mousein",true);
		WND_MINILIST.ShowChildCtrlGroup("normal",false);
	}
	else{
		ShowChildCtrlGroup("mousein",false);
		ShowChildCtrlGroup("normal",true);
		WND_MINILIST.ShowChildCtrlGroup("mousein",false);
		WND_MINILIST.ShowChildCtrlGroup("normal",true);
	}
}
OnInitSkin=function(){
	slider_sound.Show(false);
	var vt=slider_sound.GetWatchType();
	vt.WATCH_FOCUS=true;
	slider_sound.SetWatchType(vt);
	
	var bMouseIn=IsMouseIn();
	ShowChildGroup("mousein",bMouseIn);
	ShowChildGroup("normal",!bMouseIn);
	WND_MINILIST.ShowChildGroup("mousein",bMouseIn);
	WND_MINILIST.ShowChildGroup("normal",!bMouseIn);
}
OnWndKillFocus=function(){
	slider_sound.Show(false);
}
function Number(str){
	return str*1;
}
OnCommand=function(cmdObj){
	if(cmdObj.cmd.toLowerCase()=="btn_sound"){
		var rect=CreateDataObject();
		var size=CreateDataObject();
		
		var place1=box1.GetPlace();
		var place2=box2.GetPlace();
		var place3=check_sound.GetPlace();
		var newleft=Number(place1.x)+Number(place2.x)+Number(place3.x);
		rect.SetRect(newleft,34,0,0);
		size.SetSize(58,20);
		slider_sound.Reset(rect,size,"lt",100);
			
		slider_sound.Show(true);
		slider_sound.SetFocus();
	}
	else if(cmdObj.cmd.toLowerCase()=="slider_sound"){
		if (cmdObj.code=="NOTIFY_FOCUSCHANGED"&&cmdObj.focus==false){
			slider_sound.Show(false);
		}
	}
}
WND_MINILIST.OnShow=function(bShow){
	var pl=GetWndPlace();
	var oR=GetOffsetRect();
	if(!bShow){
		SetOffsetRectInfo(oR.right,(Number(pl.height)-39)*-1);
	}
	else{
		SetOffsetRectInfo(oR.right,-10);
	}
}